Skip to main content
GET
/
jobs
/
{job_guid}
/
mfa_credentials
MFA credentials
curl --request GET \
  --url https://int-data.moneydesktop.com/jobs/{job_guid}/mfa_credentials \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "credentials": [
    {
      "answer_field_type": null,
      "created_at": "2016-09-21T22:08:59.000Z",
      "display_name": null,
      "display_order": 1,
      "editable": true,
      "escaped": null,
      "field_name": "LOGIN",
      "field_type": 3,
      "field_type_name": "LOGIN",
      "guid": "CRD-9f61fb4c-912c-bd1e-b175-ccc7f0275cc1",
      "institution_guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
      "label": "Username",
      "max_length": null,
      "meta_data": null,
      "mfa": false,
      "optional": false,
      "optional_mfa": null,
      "size": null,
      "updated_at": "2016-09-21T22:08:59.000Z",
      "value_identifier": null,
      "value_mask": null
    }
  ]
}

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

job_guid
string
required

The unique identifier for the job. Defined by MX.

Response

200 - application/vnd.mx.nexus.v1+json

OK

credentials
object[]